Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 132808 - compiler paths are wrong if ide is started in /usr/bin and . is in PATH
compiler paths are wrong if ide is started in /usr/bin and . is in PATH
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: -- Other --
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Thomas Preisler
issues@cnd
61fixes1-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-14 21:50 UTC by Thomas Preisler
Modified: 2008-06-04 08:46 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Preisler 2008-04-14 21:50:28 UTC
If

1) . is first in user's PATH
2) user stats IDE in a folder with compilers (/usr/bin)
3) this is the very first invocation of the IDE

then compiler paths in tool chain setup are incorrect. They appear as ./cc, ./cpp, etc.
Comment 1 Thomas Preisler 2008-04-15 02:00:08 UTC
changeset 963c31e867b0 in main
details: http://hg.netbeans.org/main?cmd=changeset;node=963c31e867b0
description:
	132808 compiler paths are wrong if ide is started in /usr/bin and . is in PATH
Comment 2 Thomas Preisler 2008-04-16 16:37:09 UTC
6.1 patch candidate.
Comment 3 alexandrov 2008-04-18 18:41:55 UTC
Verified in trunk 200804180004. Small objection: if to add in this case one more compiler collection without make in
it's basedir then Make Command field contains extra point: "/usr/bin/./make", but everything works ok. 
Comment 4 rbalada 2008-04-29 15:16:11 UTC
I've transplanted the changeset http://hg.netbeans.org/main?cmd=changeset;node=963c31e867b0
into release61_fixes repository as http://hg.netbeans.org/release61_fixes/rev/4f470a014940

changeset:   77504:4f470a014940
user:        Thomas Preisler <thp@netbeans.org>
date:        Mon Apr 14 13:52:10 2008 -0700
summary:     132808 compiler paths are wrong if ide is started in /usr/bin and . is in PATH


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo